<div class="container-fluid">
	<div class="row">
		<div class="col-12 manager-logo-header header-with-text">
			<a class="underline-link goback-link" routerLink="/task-manager">←	Volver al admin</a>
			<h1>Lista de cartas menú</h1>
			<p>Puedes administrar todas las cartas menú que están asociadas a tu cuenta.</p>
		</div>
		<button class="btn btn-add-rest" (click)="ModalAgregar(modalAgregarMenu)">Agregar carta menú <img src="/assets/icono-mas.png"></button>
	</div>
</div>

<div class="container-fluid my-rest-list">
	<div class="row">
		<div class="col-md-6 col-lg-6 col-sm-10 col-xs-10 mx-auto">
			<h3 class="purple-text">Cartas menú</h3>
			<!-- restaurant item -->
			<div class="card rest-card" *ngFor="let menu of menusList">
			  <div class="row g-0">
			    <div class="col-3">
			      <img src="assets/purple-square.png">
			    </div>
			    <div class="col-6">
			      <div class="card-body">
			        <h5 class="card-title">{{ menu.NombreRestaurant }}</h5>
			        <p class="card-text">{{ menu.DescripcionRestaurant }}</p>
			        <p class="card-text">
						<small class="text-muted">
							{{ hasItemsSeccion(menu, 'Secciones',1) }} productos
							/
							{{ hasItemsSeccion(menu, 'Secciones',2,'Platos') }} platos
						</small>
					</p>
				  </div>
			    </div>
			    <div class="col-3 rest-card-btnbox">
			    	<button class="btn" (click)="adminMenu(menu)"> Ver menú </button>
			    </div>
			  </div>
			</div>
		</div>
		<div class="col-1 offset-11">
			<button class="btn btn-info">?</button>
		</div>
	</div>

</div>

<ng-template #modalAgregarMenu let-modal>
	<div class="modal-header">
		<p class="modal-title" style="display: block; margin: auto; font-size: 1.5rem; color: #1F6893;">Completa los datos
			para agregar un Menú.</p>
	</div>
	<div class="modal-body">
		<form #dataForm="ngForm">

			<h5 class="purple-text">Datos del menu</h5>
			<div class="row">
				<div class="col-12">
					<label for="fullNameOne" class="form-label">Nombre del nuevo menu</label>
					<input [(ngModel)]="mdlMenu.NombreRestaurant" type="text" class="form-control" id="fullNameOne"
						   name="NombreRestaurant" placeholder="Escribe tu nombre">
				</div>
				<div class="col-12 mt-2">
					<label for="FuenteNombre" class="form-label">Fuente Nombre</label>
					<select [(ngModel)]="mdlMenu.FuenteNombre" name="FuenteNombre" id="FuenteNombre" class="form-control">
						<option value="Arial">Arial</option>
						<option value="Calibri">Calibri</option>
					</select>
				</div>

				<div class="col-12 mt-2">
					<label for="DescripcionRestaurant" class="form-label">Descripción</label>
					<textarea [(ngModel)]="mdlMenu.DescripcionRestaurant" name="DescripcionRestaurant" id="DescripcionRestaurant" cols="30" rows="5" placeholder="Descripción aqui" class="form-control">
					</textarea>
				</div>
				<div class="col-12 mt-2">
					<label for="FuenteNombre" class="form-label">Fuente Descripción</label>
					<select [(ngModel)]="mdlMenu.FuenteDescripcion" name="FuenteDescripcion" id="FuenteDescripcion" class="form-control">
						<option value="Arial">Arial</option>
						<option value="Calibri">Calibri</option>
					</select>
				</div>

				<div class="col-12 mt-2">
					<label for="ColorCabecera" class="form-label">Color de Cabezera</label>
					<input [(ngModel)]="mdlMenu.ColorCabecera" type="color" class="form-control" id="ColorCabecera"
						   name="ColorCabecera">
				</div>


				<div class="col-12">
					<div class="form-control" style="background-color: #F3F7FA; margin-top: 1rem;">
						<img src="{{mdlMenu.ImagenPrincipal}}" class="w-25">
						<div class="form-group row" style="margin-top: 1rem;">
							<label for="imgmain" class="col-sm-7 col-form-label">Imagen principal</label>
							<div class="col-sm-12">
								<input style="float: right;" type="file" class="form-control" id="imgmain" (change)="onSelectFile($event,'main')">
							</div>
						</div>
					</div>
				</div>

				<div class="col-12">
					<div class="form-control" style="background-color: #F3F7FA; margin-top: 1rem;">
						<img src="{{mdlMenu.ImagenCabecera}}" class="w-25">
						<div class="form-group row" style="margin-top: 1rem;">
							<label for="imgHeader" class="col-sm-7 col-form-label">Imagen de cabezera</label>
							<div class="col-sm-12">
								<input style="float: right;" type="file" class="form-control" id="imgHeader" (change)="onSelectFile($event,'header')">
							</div>
						</div>
					</div>
				</div>

			</div>

		</form>
	</div>
	<div class="modal-footer">
		<button type="button" class="btn btn-light" (click)="modal.close('Close click')">Cerrar</button>
		<button type="button" class="btn btn-primary " (click)="AgregarMenu()">Agregar</button>
	</div>
</ng-template>